kr.co.hanwha.hifive.dialog

## Class HFSingleDialog

- java.lang.Object
- - android.app.Dialog
  - - kr.co.hanwha.hifive.dialog.HFSingleDialog

- All Implemented Interfaces:
    android.content.DialogInterface, android.view.KeyEvent.Callback, android.view.View.OnCreateContextMenuListener, android.view.Window.Callback

      public class HFSingleDialog
      extends android.app.Dialog

  Created by sanghoonkwon on 2018. 1. 11..

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `HFSingleDialog.OnDialogCallback` Callback

    - ### Nested classes/interfaces inherited from interface android.content.DialogInterface

      `android.content.DialogInterface.OnCancelListener, android.content.DialogInterface.OnClickListener, android.content.DialogInterface.OnDismissListener, android.content.DialogInterface.OnKeyListener, android.content.DialogInterface.OnMultiChoiceClickListener, android.content.DialogInterface.OnShowListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private HFSingleDialog.OnDialogCallback` | `mCallback`
    `private java.lang.String` | `mMessage`
    `private java.lang.String` | `mPositive`
    `private java.lang.String` | `mTitle`

    - ### Fields inherited from interface android.content.DialogInterface

      `BUTTON_NEGATIVE, BUTTON_NEUTRAL, BUTTON_POSITIVE, BUTTON1, BUTTON2, BUTTON3`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `HFSingleDialog(android.content.Context context)`
    `protected` | `HFSingleDialog(android.content.Context context, boolean cancelable, android.content.DialogInterface.OnCancelListener cancelListener)`
    `` | `HFSingleDialog(android.content.Context context, int themeResId)`
    `` | `HFSingleDialog(android.content.Context context, int titleRes, int messageRes, int positiveRes, HFSingleDialog.OnDialogCallback callback)`
    `` | `HFSingleDialog(android.content.Context context, java.lang.String title, java.lang.String message, java.lang.String positive)`
    `` | `HFSingleDialog(android.content.Context context, java.lang.String title, java.lang.String message, java.lang.String positive, HFSingleDialog.OnDialogCallback callback)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onCreate(android.os.Bundle savedInstanceState)`

    - ### Methods inherited from class android.app.Dialog

      `addContentView, cancel, closeOptionsMenu, create, dismiss, dispatchGenericMotionEvent, dispatchKeyEvent, dispatchKeyShortcutEvent, dispatchPopulateAccessibilityEvent, dispatchTouchEvent, dispatchTrackballEvent, findViewById, getActionBar, getContext, getCurrentFocus, getLayoutInflater, getOwnerActivity, getSearchEvent, getVolumeControlStream, getWindow, hide, invalidateOptionsMenu, isShowing, onActionModeFinished, onActionModeStarted, onAttachedToWindow, onBackPressed, onContentChanged, onContextItemSelected, onContextMenuClosed, onCreateContextMenu, onCreateOptionsMenu, onCreatePanelMenu, onCreatePanelView, onDetachedFromWindow, onGenericMotionEvent, onKeyDown, onKeyLongPress, onKeyMultiple, onKeyShortcut, onKeyUp, onMenuItemSelected, onMenuOpened, onOptionsItemSelected, onOptionsMenuClosed, onPanelClosed, onPrepareOptionsMenu, onPreparePanel, onRestoreInstanceState, onSaveInstanceState, onSearchRequested, onSearchRequested, onStart, onStop, onTouchEvent, onTrackballEvent, onWindowAttributesChanged, onWindowFocusChanged, onWindowStartingActionMode, onWindowStartingActionMode, openContextMenu, openOptionsMenu, registerForContextMenu, requestWindowFeature, setCancelable, setCanceledOnTouchOutside, setCancelMessage, setContentView, setContentView, setContentView, setDismissMessage, setFeatureDrawable, setFeatureDrawableAlpha, setFeatureDrawableResource, setFeatureDrawableUri, setOnCancelListener, setOnDismissListener, setOnKeyListener, setOnShowListener, setOwnerActivity, setTitle, setTitle, setVolumeControlStream, show, takeKeyEvents, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface android.view.Window.Callback

      `onPointerCaptureChanged, onProvideKeyboardShortcuts`

- - ### Field Detail

    - #### mTitle

          private java.lang.String mTitle

    - #### mMessage

          private java.lang.String mMessage

    - #### mPositive

          private java.lang.String mPositive

    - #### mCallback

          private HFSingleDialog.OnDialogCallback mCallback

  - ### Constructor Detail

    - #### HFSingleDialog

          public HFSingleDialog(@NonNull
                                android.content.Context context)

    - #### HFSingleDialog

          public HFSingleDialog(@NonNull
                                android.content.Context context,
                                @StyleRes
                                int themeResId)

    - #### HFSingleDialog

          protected HFSingleDialog(@NonNull
                                   android.content.Context context,
                                   boolean cancelable,
                                   @Nullable
                                   android.content.DialogInterface.OnCancelListener cancelListener)

    - #### HFSingleDialog

          public HFSingleDialog(@NonNull
                                android.content.Context context,
                                @NonNull
                                java.lang.String title,
                                @NonNull
                                java.lang.String message,
                                java.lang.String positive)

    - #### HFSingleDialog

          public HFSingleDialog(@NonNull
                                android.content.Context context,
                                @NonNull
                                java.lang.String title,
                                @NonNull
                                java.lang.String message,
                                java.lang.String positive,
                                @Nullable
                                HFSingleDialog.OnDialogCallback callback)

    - #### HFSingleDialog

          public HFSingleDialog(@NonNull
                                android.content.Context context,
                                @NonNull
                                int titleRes,
                                @NonNull
                                int messageRes,
                                int positiveRes,
                                @Nullable
                                HFSingleDialog.OnDialogCallback callback)

  - ### Method Detail

    - #### onCreate

          protected void onCreate(android.os.Bundle savedInstanceState)

      Overrides:
        `onCreate` in class `android.app.Dialog`